ตอบ

Warning: this topic has not been posted in for at least 120 days.
Unless you're sure you want to reply, please consider starting a new topic.
ชื่อ:
อีเมล์:
หัวข้อ:
ไอค่อนข้อความ:

แนบไฟล์:
(Clear Attachment)
(แนบไฟล์เพิ่ม)
Restrictions: 4 per post, maximum total size 1024KB, maximum individual size 512KB
Verification:
Type the letters shown in the picture
Listen to the letters / Request another image

Type the letters shown in the picture:
ยี่ห้อเครื่องพิมพ์ Dotmatrix ยอดนิยมในยุค 80386 (เอปสัน- ตัวพิมพ์เล็ก):

shortcuts: กด alt+s เพื่อตั้งกระทู้ หรือ alt+p แสดงตัวอย่าง


สรุปหัวข้อ

ข้อความโดย: อั๋น ทรงวุฒิ
« เมื่อ: 30 กันยายน 2014, 12:39:45 PM »

สกัดด้วย IPtables Firewall

อ้างถึง
iptables -A INPUT -m string --algo bm --hex-string '|28 29 20 7B|' -j DROP
iptables -A FORWARD -m string --algo bm --hex-string '|28 29 20 7B|' -j DROP
ข้อความโดย: อั๋น ทรงวุฒิ
« เมื่อ: 30 กันยายน 2014, 11:47:09 AM »

ubuntu

ทดสอบเช็ครุ่นก่อนครับ

อ้างถึง
lsb_release -a

Distributor ID: Ubuntu
Description:    Ubuntu 13.10
Release:        13.10
Codename:       saucy

แก้ไข sources.list ด้วยคำสั่งนี้

อ้างถึง
sed -i 's/saucy/trusty/g' /etc/apt/sources.list

อ้างถึง
apt-get update && apt-get install --only-upgrade bash
ข้อความโดย: อั๋น ทรงวุฒิ
« เมื่อ: 30 กันยายน 2014, 11:39:43 AM »

server บางตัวผมเป็น debian ต้องเพิ่มรายการใน sources.list เข้าไป

อ้างถึง
deb http://ftp.us.debian.org/debian squeeze-lts main non-free contrib


อ้างถึง
#apt-get update && apt-get upgrade
ข้อความโดย: อั๋น ทรงวุฒิ
« เมื่อ: 30 กันยายน 2014, 11:24:52 AM »

ใน php.ini ก็ควรปิดคำสั่งอันตรายไว้ด้วยครับ

[php.ini]

อ้างถึง
disable_functions =exec,passthru,shell_exec,system,proc_open,popen,curl_exec,curl_multi_exec,parse_ini_file,show_source
ข้อความโดย: อั๋น ทรงวุฒิ
« เมื่อ: 29 กันยายน 2014, 03:18:55 PM »

ทดลองคำสั่งทดสอบดูครับ

อ้างถึง
env VAR='() { :;}; echo Bash is vulnerable!' bash -c "echo Bash Test"

ถ้าผลออกมาเป็นแบบนี้


อ้างถึง
Bash is vulnerable!
Bash Test

งานเข้าแน่นอน

วิธีแก้สำหรับ Ubuntu คือ

อ้างถึง
#apt-get update && apt-get install --only-upgrade bash


ถ้าสำเร็จ เวลารันคำสั่งเดิมข้างบน จะได้ output แบบนี้

อ้างถึง
bash: warning: VAR: ignoring function definition attempt
bash: error importing function definition for `VAR'
Bash Test